/*
 * DO NOT EDIT.  THIS FILE IS GENERATED FROM
 * /builds/moz2_slave/mozilla-central-linux64-xulrunner/build/accessible/public/nsIAccessibleProvider.idl
 */

package org.mozilla.interfaces;

/**
 * nsIAccessibleProvider interface is used to link element and accessible
   object. For that XBL binding of element should implement the interface.
 */
public interface nsIAccessibleProvider extends nsISupports {

  String NS_IACCESSIBLEPROVIDER_IID =
    "{18ba74e1-0751-41c8-81c6-c903e22491d3}";

  /**
   * Constants set of common use.
   */
/** Do not create an accessible for this object
   * This is useful if an ancestor binding already implements nsIAccessibleProvider,
   * but no accessible is desired for the inheriting binding
   */
  int NoAccessible = 0;

  /** For elements that spawn a new document. For example now it is used by
    <xul:iframe>, <xul:browser> and <xul:editor>. */
  int OuterDoc = 1;

  /**
   * Constants set is used by XUL controls.
   */
/** popup@noautofocus="true" and notification elements */
  int XULAlert = 4097;

  /** button element */
  int XULButton = 4098;

  /** checkbox element */
  int XULCheckbox = 4099;

  /** colorpicker element */
  int XULColorPicker = 4100;

  /** colorpickertile element */
  int XULColorPickerTile = 4101;

  /** menulist element */
  int XULCombobox = 4102;

  /** dropmarker element */
  int XULDropmarker = 4103;

  /** groupbox element */
  int XULGroupbox = 4104;

  /** image element */
  int XULImage = 4105;

  /** label@class="text-link" and label@onclick elements */
  int XULLink = 4106;

  /** listbox and richlistbox elements */
  int XULListbox = 4107;

  /** listcell element */
  int XULListCell = 4108;

  /** listheader element */
  int XULListHead = 4109;

  /** listhead element */
  int XULListHeader = 4110;

  /** listitem and richlistitem elements */
  int XULListitem = 4111;

  /** menubar element */
  int XULMenubar = 4112;

  /** menuitem element */
  int XULMenuitem = 4113;

  /** popup, menupopup element */
  int XULMenupopup = 4114;

  /** menuseparator element */
  int XULMenuSeparator = 4115;

  /** panel element */
  int XULPane = 4116;

  /** progressmeter element */
  int XULProgressMeter = 4117;

  /** scale element */
  int XULScale = 4118;

  /** scrollbar element */
  int XULScrollbar = 4119;

  /** slider element */
  int XULSlider = 4120;

  /** statusbar element */
  int XULStatusBar = 4121;

  /** radio element */
  int XULRadioButton = 4122;

  /** radiogroup element */
  int XULRadioGroup = 4123;

  /** tab element */
  int XULTab = 4124;

  /** tabbox element, contains tabs and tabpanels elements */
  int XULTabBox = 4125;

  /** tabs element, a collection of tab elements */
  int XULTabs = 4126;

  /** label or description elements */
  int XULText = 4127;

  /** textbox and numberbox elements */
  int XULTextBox = 4128;

  /** thumb element, child of scale element */
  int XULThumb = 4129;

  /** tree element */
  int XULTree = 4130;

  /** treecols element, child of tree element */
  int XULTreeColumns = 4131;

  /** treecol element, child of treecols element */
  int XULTreeColumnItem = 4132;

  /** toolbar element */
  int XULToolbar = 4133;

  /** toolbarseparator, toolbarspacer and toolbarspring elements */
  int XULToolbarSeparator = 4134;

  /** tooltip element */
  int XULTooltip = 4135;

  /** toolbarbutton element */
  int XULToolbarButton = 4136;

  /**
   * Constants set is used by XForms elements.
   */
/** Used for xforms elements that provide accessible object for itself as
   * well for anonymous content. This property are used for upload,
   * input[type="xsd:gDay"] and input[type="xsd:gMonth"] */
  int XFormsContainer = 8192;

  /** Used for label element */
  int XFormsLabel = 8193;

  /** Used for output element */
  int XFormsOuput = 8194;

  /** Used for trigger and submit elements */
  int XFormsTrigger = 8195;

  /** Used for input and textarea elements */
  int XFormsInput = 8196;

  /** Used for input[xsd:boolean] element */
  int XFormsInputBoolean = 8197;

  /** Used for input[xsd:date] element */
  int XFormsInputDate = 8198;

  /** Used for secret element */
  int XFormsSecret = 8199;

  /** Used for range element represented by slider */
  int XFormsSliderRange = 8200;

  /** Used for select and select1 that are implemented using host document's
   * native widget. For example, a select1 in a xhtml document may be
   * represented by the native html control html:select */
  int XFormsSelect = 8201;

  /** Used for xforms choices element */
  int XFormsChoices = 8208;

  /** Used for xforms full select/select1 elements that may be represented by
   * group of checkboxes and radiogroup */
  int XFormsSelectFull = 8209;

  /** Used for xforms item element that is used inside xforms select elements
   * represented by group of checkboxes */
  int XFormsItemCheckgroup = 8210;

  /** Used for xforms item element that is used inside xforms select1 elements
   * represented by radio group */
  int XFormsItemRadiogroup = 8211;

  /** Used for xforms select1 element that is represented by combobox */
  int XFormsSelectCombobox = 8212;

  /** Used for xforms item element that is used inside xforms select1
   * elements represented by combobox */
  int XFormsItemCombobox = 8213;

  /** Used for dropmarker widget that is used by xforms elements */
  int XFormsDropmarkerWidget = 8449;

  /** Used for calendar widget that is used by xforms elements */
  int XFormsCalendarWidget = 8450;

  /** Used for popup widget that is used by xforms minimal select1 elements */
  int XFormsComboboxPopupWidget = 8451;

  /**
   * Return one of constants declared above.
   */
  int getAccessibleType();

}